Ubuntu

[Dell Studio 1537] temperature sensors and fan stop working following suspend/resume

Reported by Andy Whitcroft on 2010-02-23
150
This bug affects 25 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Andy Whitcroft
Lucid
High
Andy Whitcroft
pm-utils (Ubuntu)
High
Martin Pitt
Lucid
High
Martin Pitt

Bug Description

On boot I have two sets of sensors (coretemp and acpi) both of which report reasonable temperatures, also the Fans respond to load and keep the machine alive. Following suspend/resume cycle the acpi temperature sensors stop reporting anything other than 0c and the fans no longer respond to load leading to hard power off on overhead. Fail!

I have managed to confirm this is present back at least to -11 kernels, I could not suspend/resume the -7 kernel I happen to have. Karmic was not affected.

ProblemType: Bug
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: apw 1889 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfc700000 irq 22'
   Mixer name : 'Intel G45 DEVCTG'
   Components : 'HDA:111d7675,1028029f,00100103 HDA:80862802,80860101,00100000'
   Controls : 20
   Simple ctrls : 11
Date: Tue Feb 23 10:36:07 2010
DistroRelease: Ubuntu 10.04
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=d8328455-deac-4bae-877d-c408d371cefe
MachineType: Dell Inc. Studio 1537
Package: linux-image-2.6.32-14-generic 2.6.32-14.19masterapw1
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-14-generic root=UUID=cf503727-25f2-4ecd-b0f3-2b894523bcba ro quiet splash
ProcEnviron:
 PATH=(custom, user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-14.19masterusername1-generic
Regression: Yes
RelatedPackageVersions: linux-firmware 1.29
Reproducible: Yes
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
TestedUpstream: No
Uname: Linux 2.6.32-14-generic x86_64
WpaSupplicantLog:

dmi.bios.date: 09/22/2008
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A03
dmi.board.vendor: Dell Inc.
dmi.board.version: A03
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: A03
dmi.modalias: dmi:bvnDellInc.:bvrA03:bd09/22/2008:svnDellInc.:pnStudio1537:pvrA03:rvnDellInc.:rn:rvrA03:cvnDellInc.:ct8:cvrA03:
dmi.product.name: Studio 1537
dmi.product.version: A03
dmi.sys.vendor: Dell Inc.

Andy Whitcroft (apw) wrote :
Andy Whitcroft (apw) wrote :

If you do not have a Dell Studio 1537 but are seeing this issue please file a new bug with ubuntu-bug linux and then add that bug id to this bug in a comment.

Changed in linux (Ubuntu):
importance: Undecided → High
Andy Whitcroft (apw) wrote :

I have tested for and confirmed that the bug is also present in v2.6.32.8 and in v2.6.33-rc8.

Andy Whitcroft (apw) on 2010-03-08
Changed in linux (Ubuntu):
assignee: nobody → Andy Whitcroft (apw)
status: New → Triaged
milestone: none → ubuntu-10.04-beta-2
k_laci (laszlokaroly) wrote :
Mervin Beng (mervinb) wrote :

I confirm this on lucid alpha-3, and also on alpha-3 with the 2.6.34rc1 kernel. Fan does not start on a resume, and acpi temperature sensors on resume are 0 degrees. I am using a Dell Studio 15 1537.

Mervin Beng (mervinb) wrote :

Workaround: hiberbate instead of suspend/resume. It takes longer, but after reboot from hibernate, fan and acpi temperature sensors are working correctly. Hopefully the recent usage without fan has not reduced the lifetime of my Dell Studio 15...

cgarre (cgarre) wrote :

for me hibernate doesnt work :)
Dont worry your computer lifetime wont be affected, since laptops are equipped with cut off sensors, so the moment it reaches a critical temperature thats bad for cpu it will just die (i mean not real death but it will just go dead) and when starting too it will give a warning .. so its safe.

William Davis (hotshotdj) wrote :

I believe this bug is a duplicate of Bug #524956. The upstream bug is https://bugzilla.kernel.org/show_bug.cgi?id=14667

As I noted in bug 524956, this regression effects more than just fans and temperature sensors. On my machine, it renders the Bluetooth and WiFi kill switches inoperable (resulting in the built-in bluetooth to be permanently off and WiFi to be permanently on). Also, the laptop lid state is not detected.

William Davis (hotshotdj) wrote :

Ok -- I spent the some time today manually applying Alexey Starikovskiy's patch from https://bugzilla.kernel.org/show_bug.cgi?id=14667#c89 -- I figured I should try to fix the problem rather than just complain about it.

The attached patch is the result and provided for your consideration. I've tested it on my System76 Pangolin (Version 5). It applies cleanly against 2.6.32-19.28 and the resultant kernel fixed my ACPI problems.

cgarre (cgarre) wrote :

I am waiting for daily kernel ppa updates to show up with this patch applied. That way i will not be using a custom kernel .. i will continue taking 2.6.34 updates from there, instead of running on 2.6.32 which i dont think will be getting this patch anyways - unless you submit this back to kernel. But i am guessing lucid would move to 2.6.33 or 34. I will try applying this on my 2.6.32 build, thanks.

Andy Whitcroft (apw) wrote :

@William -- thanks for the pointer to the patch! I took the liberty of applying the upstream patch myself and building test kernels. If those of you affected by these issues could test the kernels at the URL below and report back here that would help greatly:

    http://people.canonical.com/~apw/lp526354-lucid/

Please test and report back here. Thanks.

William Davis (hotshotdj) wrote :

@Andy -- I'm testing the kernels at the link in post #11. It corrects my ACPI issues. However, so far on two boots, I apport pops up with "Your system encountered a serious kernel problem." I'm attaching the two files in /var/crash in the hope that the information will help you.

William Davis (hotshotdj) wrote :

And the second file

tags: added: patch
cgarre (cgarre) wrote :

awesome .. thank you both william and andy.
I have tested it with the linux debs from andy and ACPI temps show fine and finally i feel fan running after resume from suspend .. thank you very very much.

Regarding the problem that william is having, dont worry william that seems to be a problem with 2.6.32-19 i guess, actually i was consistently getting the error before using andys linux debs. After using linux kernel from andy, i did not get that problem , though i am sure it will come back but obviously it is certainly not related to the patch.

So please do apply this to the release :) its awesome, i can confirm it works.

My specs again (though i am not 1537 i am 1555)
- ubuntu 64 bit
- dell 1555 with ATI graphics.

Let me know if you need any more information.
Thanks again, you guys are great.

William Davis (hotshotdj) wrote :

@Andy

I ran a diff against the patch I created (see comment #9) and the patch that you have posted at the link in comment #11, since the former did not result in a "serious kernel problem." The only difference that I can see that would be of any consequence is where I used "u32 bits, u64 *value64", you used u32 bits, acpi_integer *value64 (lines 41 and 47 respectively). BUT, I am most definitely not a coder, so I'm attaching the diff for you to look at.

William Davis (hotshotdj) wrote :

@cgarre -- Since I wasn't sure if the crash that I experienced was related to the patch, I figured I'd pass the info to a the REAL developers... better they have too much information than not enough. :)

cgarre (cgarre) wrote :

@Wiiliam i agree its better to have more information.

Ok as per that i guess acpi_integer is U64 so that should be ok, but as per http://www.acpica.org/bugzilla/show_bug.cgi?id=824 acpi_integer is obsolete , though it seems to be valid in 2.6.32 it is obsolete in the latest linux source. Thats my guess. For now using acpi_integer seems fine.

Obviously i am a hardcore java developer who doesnt care about 32 or 64 :)

cgarre (cgarre) wrote :

FYI : 1 hour report , have been using with restarts, resumes from suspend, though i cant test hibernate - mine doesnt hibernate on any kernel :) Also dmesg doesnt have any ACPI related messages after resume.
Will report as soon as i see anything abnormal.

Andy Whitcroft (apw) on 2010-04-07
Changed in linux (Ubuntu):
status: Triaged → In Progress
Andy Whitcroft (apw) wrote :

@William -- yes that does appear to be a difference but from what I can see its the exact same size so we are good. Glad to hear this fixes you as well, having one of the affected systems myself.

cgarre (cgarre) wrote :

Early morning report .. brightness controls still working (this was one of the very old problems which was fixed in 2.6.32). No error messages in dmesg. System was in sleep for 8 hours. Resumed and temperatures are still visible yay. Fan working.

Everything appears to be working normal.

Andy Whitcroft (apw) wrote :

The fix for this bug has also been confirmed to fix total fan failure on the Dell M1330. I suspect it has been cause a number of issues with rfkill, fans, temperature etc on a range of Dell models.

Changed in linux (Ubuntu):
status: In Progress → Fix Committed
William Davis (hotshotdj) wrote :

@Andy -- Thanks for getting this taken care of! You might want to mark Bug #524956 as a duplicate of this. I'm 99.9% sure that it is the same bug.

cgarre (cgarre) wrote :

I marked 524956 as a dupe of this bug. Actually i am 100% sure it is the same bug.
Yes thanks to Andy and William you too. This was a bad bug and i am happy its out of the way.

Launchpad Janitor (janitor) wrote :
Download full text (10.2 KiB)

This bug was fixed in the package linux - 2.6.32-20.29

---------------
linux (2.6.32-20.29) lucid; urgency=low

  [ Andy Whitcroft ]

  * Revert "SAUCE: Use MODULE_IMPORT macro to tie intel_agp to i915"
    - LP: #542251
  * add Breaks: against hardy lvm2
    - LP: #528155

  [ Colin Watson ]

  * d-i -- enable udebs for generic-pae
    - LP: #160366

  [ Stefan Bader ]

  * [Config] Add xen netboot support
    - LP: #160366

  [ Takashi Iwai ]

  * (pre-stable): input: Support Clickpad devices in ClickZone mode
    - LP: #516329

  [ Upstream Kernel Changes ]

  * Revert "(pre-stable) Bluetooth: Fix sleeping function in RFCOMM within
    invalid context"
    - LP: #553837
  * Revert "(pre-stable) USB: fix usbfs regression"
    - LP: #553837
  * Revert "(pre-stable) softlockup: Stop spurious softlockup messages due
    to overflow"
    - LP: #553837
  * Revert "(pre-stable) drm/nouveau: report unknown connector state if lid
    closed"
    - LP: #553837
  * drivers/scsi/ses.c: eliminate double free
    - LP: #553837
  * decompress: fix new decompressor for PIC
    - LP: #553837
  * ARM: Fix decompressor's kernel size estimation for ROM=y
    - LP: #553837
  * MIPS: Cleanup forgotten label_module_alloc in tlbex.c
    - LP: #553837
  * tg3: Fix tg3_poll_controller() passing wrong pointer to tg3_interrupt()
    - LP: #553837
  * tg3: Fix 5906 transmit hangs
    - LP: #553837
  * ALSA: hda - Fix input source elements of secondary ADCs on Realtek
    - LP: #553837
  * ALSA: hda: enable MSI for Gateway M-6866
    - LP: #538918, #553837
  * timekeeping: Prevent oops when GENERIC_TIME=n
    - LP: #553837
  * Input: alps - add support for the touchpad on Toshiba Tecra A11-11L
    - LP: #553837
  * Input: i8042 - add ALDI/MEDION netbook E1222 to qurik reset table
    - LP: #553837
  * i2c-i801: Don't use the block buffer for I2C block writes
    - LP: #553837
  * ath5k: dont use external sleep clock in AP mode
    - LP: #553837
  * ath5k: fix setup for CAB queue
    - LP: #553837
  * ring-buffer: Move disabled check into preempt disable section
    - LP: #553837
  * function-graph: Init curr_ret_stack with ret_stack
    - LP: #553837
  * Bluetooth: Fix sleeping function in RFCOMM within invalid context
    - LP: #553837
  * tracing: Use same local variable when resetting the ring buffer
    - LP: #553837
  * tracing: Disable buffer switching when starting or stopping trace
    - LP: #553837
  * tracing: Do not record user stack trace from NMI context
    - LP: #553837
  * PCI: unconditionally clear AER uncorr status register during cleanup
    - LP: #553837
  * efifb: fix framebuffer handoff
    - LP: #553837
  * coredump: suppress uid comparison test if core output files are pipes
    - LP: #553837
  * V4L/DVB (13961): em28xx-dvb: fix memleak in dvb_fini()
    - LP: #553837
  * hrtimer: Tune hrtimer_interrupt hang logic
    - LP: #553837
  * x86, apic: Don't use logical-flat mode when CPU hotplug may exceed 8
    CPUs
    - LP: #553837
  * mvsas: add support for Adaptec ASC-1045/1405 SAS/SATA HBA
    - LP: #553837
  * pci: add support for 82576NS serdes to existing SR-IOV quirk
    - LP: #553837
  * sched: Mark boot-cpu active before smp_init()
    -...

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Andy Whitcroft (apw) wrote :

The fix for this seems to cause severe boot regressions (no boot at all) for a large number of thinkpad models. For now we are reverting the change while the regression can be investigated.

Changed in linux (Ubuntu):
status: Fix Released → In Progress
Max Sadrieh (max.sadrieh) wrote :

Bug still present on Studio 1555 with 2.6.32-20-generic.

cgarre (cgarre) wrote :

@Maxime
There was a regression issue hence 2.6.32-20 doesnt have this fix anymore.

If you want the fix you can install the latest kernels 2.6.34, like i installed http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.34-rc4-lucid/

take the two debs for your architecture, mine is amd64. Then put them in the same folder and run
sudo dpkg -i *.deb

cgarre (cgarre) on 2010-04-14
description: updated
Pfanne (pfannenwender) wrote :

the problem with using 2.6.34 is, that the fglrx driver doesnt work.
and you dont want to use open source drivers on your notebook if you want any battery life out of it.

k_laci (laszlokaroly) wrote :

@Pfanne

I think that the simplest way is to stay with the latest working kernel (2.6.32-20.29). If you lock it (e.g. in Synaptic) until a solution comes, you won't be bothered by kernel upgrades.

Pfanne (pfannenwender) wrote :

was dumb enough to update.
how do I revert to an older kernel?

k_laci (laszlokaroly) wrote :

1. Manually download the debs (https://launchpad.net/ubuntu/lucid/+source/linux/)
2. Install them with your favoured program (e.g. gdebi-gtk, dpkg)
3. Boot it
4. Delete the unnecessary packages, and lock 2.6.32-20.29

Steve Langasek (vorlon) on 2010-04-16
Changed in linux (Ubuntu Lucid):
milestone: ubuntu-10.04-beta-2 → lucid-updates
Martin Pitt (pitti) wrote :

As discussed in the release meeting, we should blacklist s/r in final until the kernel gets fixed in an SRU. At that point we'll revert the blacklist in pm-utils.

Changed in pm-utils (Ubuntu Lucid):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → High
milestone: none → ubuntu-10.04
status: New → In Progress
William Davis (hotshotdj) wrote :

@Martin Pitt -- Keep in mind that this bug is a blocker for those who find the official kernel breaks ACPI events, and of course, the fix for us is a blocker for those who cannot boot properly with the ACPI fix in place. Either way, is it really a good idea to have a LTS come out of the gate with such a significant problem? Might I suggest a delay in the final release. Such a course of action is not unprecedented (see Ubuntu 6.06 LTS).

Jose Martin (jose.martin) wrote :

I also have this problem, with a Dell Studio XPS 16 (1640), but neither the 2.6.34-rc4-lucid or the 2.6.32-20.29 kernels work for me. I had already submitted the bug(https://bugs.launchpad.net/ubuntu/+source/linux/+bug/552876), and later, marked as a duplicate of this, but now I think that may be a different problem.

William Davis (hotshotdj) wrote :

@k_laci: Awesome find. I'm back-porting the patch attached to comment 97 in the linked bug report and will report back. I can only test it against the current bug as I didn't experience the regression. Hopefully others will be able to test to see if the regression is resolved as well.

William Davis (hotshotdj) wrote :

The attached patch is a back-ported version of https://bugzilla.kernel.org/attachment.cgi?id=26030 -- I can confirm that it applies cleanly to 2.6.32-21.32, compiles without a problem. On my system, all tested ACPI functions (Bluetooth and WiFi keyboard switches work, AC/Battery changes in status detected. I haven't tested suspend/resume via lid closing yet).

If somebody can test this patch on a system effected by the boot regression we might be able to get this thing squashed before RC! (Dare I hope?)

William Davis (hotshotdj) wrote :

Addendum: Suspend/Resume via laptop lid working as well (still gets stuck at 800 Mhz in On-Demand mode -- but that is another long-standing bug and for another time and place).

Steve Langasek (vorlon) wrote :

Sorry, but the window for kernel updates is closed. This is going to have to go in as a post-release update.

Jose Martin (jose.martin) wrote :

Tested #11 patched 2.6.32-21 kernel, still without fans on XPS 1640. Also, some messages appears before plymouth at boot, so I attached dmesg dump after resume with that kernel.

Noah Duffy (noah0504) wrote :

@Steve Langasek: Is there anyway to sneak it in there? I know this is a big issue for me and others. This basically affects two models of notebooks that System76 sells and clearly a load of Dell Studios. What would be the ETA of this fix as a post-release update?

Pfanne (pfannenwender) wrote :

If this doesn't go into the releasekernel, can you guys at least provide a ppa, that has the patch applied, until the post-release update solves the issue?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pm-utils - 1.3.0-1ubuntu1

---------------
pm-utils (1.3.0-1ubuntu1) lucid; urgency=low

  * Add debian/suspend-blacklist: Disable suspend on Dell Studio 1537, 1555,
    and 1640. Suspend currently causes temperature sensors and fan to stop
    working, which causes overheat and hardware damage. Unfortunately this
    does not stop the "Suspend" menu item from appearing, but doing that
    would involve bigger code changes which aren't appropriate at this time of
    the release. This workaround will be removed again in lucid-updates as
    soon as the underlying kernel bug gets fixed. (LP: #526354)
  * debian/rules: Install debian/suspend-blacklist.
 -- Martin Pitt <email address hidden> Mon, 19 Apr 2010 11:48:35 +0200

Changed in pm-utils (Ubuntu Lucid):
status: In Progress → Fix Released
Pfanne (pfannenwender) wrote :

I can't suspend any longer.
When i manually suspend, or close the lid the screen is just locked.
I'm using a Studio 1555 with fglrx

Andy Whitcroft (apw) wrote :

@Pfanne -- that is as expected, we have fixes pending for the bug which leads to the machine overheating. Until those are rolled out post release we have disabled suspend on the affected models.

cgarre (cgarre) wrote :

interestingly hibernate doesnt work for me, it always leads to a corrupted blank white screen. Now with no suspend - no way that was my lifeline :) The solution for me is to block all updates or make sure i dont take updates that disable my suspend. fingers crossed, its a daily brain test to carefully review updates, i am having fun.

Andy Whitcroft (apw) on 2010-04-22
Changed in linux (Ubuntu Lucid):
status: In Progress → Fix Committed
William Davis (hotshotdj) wrote :

@Andy -- re: "Fix Committed" -- is this a fix of the underlying ACPI issue? If so, is the fixed kernel available for download (for example, in the kernel PPA)?

William Davis (hotshotdj) wrote :

@Andy -- re: "Fix Committed" -- never mind... I see it in the git tree. Thank you. Do you have an ETA on this one landing either in Lucid or Lucid-Proposed?

Yogha Restu Pramadi (yogha-rp) wrote :

My Vostro 1200 also has this overheating problem, my laptop autimaticaly cuts it self of twice today, I'm on lucid beta and have always update my system

Filip Milivojevic (zekica) wrote :

I have done some testing with 0001-ACPI-EC-Allow-multibyte-access-to-EC-v3.patch, and it works when I have battery in my laptop. When there is no battery present on wakeup from suspend, sensors and fan control don't work.

Matt Swift (matthew-swift) wrote :

I've just burned my legs using my Dell 1737 after a suspend/resume, so you may want to add this laptop to the suspend blacklist until the proper fix is made officially available. I can confirm that, like other cases, the fan was not working after the resume.

Accepted linux into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
k_laci (laszlokaroly) wrote :

Dell Studio 1555 OK!

cgarre (cgarre) wrote :

Dell studio 1555 :( Not OK

I took lucid proposed but i didnt get linux images. i had to manually remove myself from suspend blacklist by editing /usr/lib/pm-utils/sleep.d/00suspend-blacklist .

Which linux version has it been fixed ? I will update it from synaptic manually.

Pfanne (pfannenwender) wrote :

@k_laci
Where did you get your update from?
I added the proposed repos and checked different servers, but haven't found one, that actually had the updated kernel.

cgarre (cgarre) wrote :

@k_laci
thanks, thats ppa builds, i thought it will be delivered via updates since i added lucid proposed. That way anyways i was using 2.6.34-rc4 :) which had fixed my problem.

Yay !!! today is the release date .. go ubuntu.

Filip Milivojevic (zekica) wrote :

I have tested new kernels from https://launchpad.net/ubuntu/+source/linux/2.6.32-22.33.
I've tried 32bit generic and generic-pae and with both of them, sensors and fan control don't work when there is no battery present on wakeup. If there is battery present, it works like it should.

I have Dell Studio 1537 with Intel X4500MHD.

Jose Martin (jose.martin) wrote :

Same as #59 on a Studio XPS 1640 with amd64 kernel: no battery, no fans. With the battery, fans works correctly.

cgarre (cgarre) wrote :

dell 1555 .. reinstalled 10.04 release LTS .. got 2.6.32-22 through proposed updates but it was too slow.. thanks to the LTS release, so i downloaded from the links k_laci gave.

sensors work fine now for me. I tested with battery.

Martin Pitt (pitti) on 2010-04-30
tags: added: verification-done
removed: verification-needed
Martin Pitt (pitti) wrote :

Reopening pm-utils task to revert the suspend blocking.

Changed in pm-utils (Ubuntu Lucid):
milestone: ubuntu-10.04 → lucid-updates
status: Fix Released → In Progress
Martin Pitt (pitti) wrote :

I uploaded pm-utils 1.3.0-1ubuntu2 into lucid-proposed, it will land in about two hours. This reverts the suspend blacklisting on these Dell models.

Please install that together with the new kernel and test whether suspend/resume now works again, and the sensor/fan problem is gone.

Thank you!

Changed in pm-utils (Ubuntu Lucid):
status: In Progress → Fix Committed
Filip Milivojevic (zekica) wrote :

pm-utils no longer contains 00suspend-blacklist and suspend works, however the issue with resume from suspend when there is no battery present still remains.

Should I open another bug?

I will now try with 2.6.34-rc6 kernel (from kernel mainline ppa) to see if this problem exists with this kernel, and post results here.

Filip Milivojevic (zekica) wrote :

The same issue is present with linux 2.6.34-020634rc6-generic_2.6.34-020634rc6_i386.

I have problem with this too, see https://bugs.launchpad.net/ubuntu/+bug/572841. The attached file may be to some help. I'm on a DELL studio XPS 1640 laptop.

Filip Milivojevic [2010-04-30 17:02 -0000]:
> pm-utils no longer contains 00suspend-blacklist and suspend works,
> however the issue with resume from suspend when there is no battery
> present still remains.

You mean that the fan/sensors don't work and the computer overheats
again if you have no battery?

> Should I open another bug?

Yes if it is a different problem than the one described here.

Pfanne (pfannenwender) wrote :

Yep,
if you suspend, remove your battery and then wake up, the sensors no longer work.
Haven,t testet removing the battery before suspending, but it will probalby have the same result.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pm-utils - 1.3.0-1ubuntu2

---------------
pm-utils (1.3.0-1ubuntu2) lucid-proposed; urgency=low

  * Drop debian/suspend-blacklist again, the underlying kernel bug was fixed
    in lucid-updates now. (LP: #526354)
 -- Martin Pitt <email address hidden> Fri, 30 Apr 2010 15:09:26 +0200

Changed in pm-utils (Ubuntu Lucid):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Copied pm-utils from lucid-proposed to maverick.

Changed in pm-utils (Ubuntu):
status: Fix Committed → Fix Released
Changed in pm-utils (Ubuntu Lucid):
status: Fix Released → Fix Committed
Filip Milivojevic (zekica) wrote :

I have exactly the same issue as Pfanne: if there is no battery in the laptop when it wakes up from suspend, sensors and fans don't work.

Andy Whitcroft (apw) wrote :

Ok the battery removal was not a known issue which this change was meant to fix. That should be forked into a new bug please. If you could make that bug and add a comment here as to the new bug number that would be great. File it against linux, and please include where this is known to work, and which specific models are affected. Thanks!

Filip Milivojevic (zekica) wrote :

[Dell Studio 1537] No sensors and fan control if there is no battery present on wakeup from suspend
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/575030

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.32-22.33

---------------
linux (2.6.32-22.33) lucid-proposed; urgency=low

  [ Andy Whitcroft ]

  * SAUCE: ACPI: EC: Allow multibyte access to EC (v3)
    - LP: #526354

  [ Tim Gardner ]

  * ubuntu: rtl8192se -- update to version 0015.0127.2010
    - LP: #567016
 -- Andy Whitcroft <email address hidden> Mon, 19 Apr 2010 11:06:35 +0100

Changed in linux (Ubuntu Lucid):
status: Fix Committed → Fix Released

Seems like I'm still unable to suspend my laptop. I get this in my log file:
/usr/lib/pm-utils/sleep.d/00suspend-blacklist suspend suspend:Suspend causes overheating and stopping of the fan. Please see https://launchpad.net/bugs/526354
Returned exit code 1.

I have updated https://bugs.launchpad.net/ubuntu/+bug/572841 with description of my system (DELL Studio XPS 16 laptop) and attached some files which might give more information about it.

Martin Pitt (pitti) wrote :

Thorbjørn Hermansen [2010-05-06 4:50 -0000]:
> Seems like I'm still unable to suspend my laptop. I get this in my log file:
> /usr/lib/pm-utils/sleep.d/00suspend-blacklist suspend suspend:Suspend causes overheating and stopping of the fan. Please see https://launchpad.net/bugs/526354
> Returned exit code 1.

The pm-utils package in lucid-proposed reverts this check and will
allow you to suspend again. It was a stopgap measure for lucid final.

Martin Pitt: Do you know when is pm-utils package released so I will be able to suspend again?

Martin Pitt (pitti) wrote :

The kernel has been in -updates for a few days now, so we can certainly release pm-utils as well.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pm-utils - 1.3.0-1ubuntu2

---------------
pm-utils (1.3.0-1ubuntu2) lucid-proposed; urgency=low

  * Drop debian/suspend-blacklist again, the underlying kernel bug was fixed
    in lucid-updates now. (LP: #526354)
 -- Martin Pitt <email address hidden> Fri, 30 Apr 2010 15:09:26 +0200

Changed in pm-utils (Ubuntu Lucid):
status: Fix Committed → Fix Released

Thanks! It works as it should now :-)

Lars Kumbier (derlars) wrote :

Dell Studio XPS 1640 with a radeon mobility 3670 on a root-encrypted, swap-encrypted (with random key) laptop. After updating to pm-uitils-1.3.0-1ubuntu2, temperature is read correctly and sleep / wakeup work perfectly.

Thanks guys, this problem's been bugging me for months! :)

Julio (jcrinconc) wrote :

Dell Studio 1537 still can't suspend/hibernate when closing lid, it ends with an unresponsive blank screen with the power on. However suspend/hibernate works fine from the main menu.

Running pm-utils 1.3.0-1ubuntu2 and Linux 2.6.32-22-generic.

Please help!!!!

Julio: See #574848. It seems to be an unrelated bug to this.

Julio (jcrinconc) wrote :

Thanks Sigve, the fglrx package from lucid-proposed fixed the problem.

Andy Whitcroft (apw) wrote :

This fix is already in the upstream 2.6.34 kernel. Closing for Maverick and later.

Changed in linux (Ubuntu):
milestone: lucid-updates → none
status: Fix Committed → Fix Released
Stefan Bader (smb) wrote :

Note for the next proposed upload of Lucid: this has been included in the day0 update but due to the way git works it got referenced again. This is still released.

Is it possible that I am experiencing that bug in Ubuntu 11.04 on a Dell Studio 1555? First I thought my graphics weren't okay with Unity, but it's the same with XFCE.

cgarre (cgarre) wrote :

Just checked with my dell desktop and it seems to be fine for me .. i see sensors showing non zero temperature. Sad - my dell studio 1555 is now owned by my wife - and she has gosh !!! windows 7 on it !!!!

Mirko (mirko8989) wrote :

I have the same Problem, on my dell studio xps 16, i opened bug Bug #847813 ( https://bugs.launchpad.net/ubuntu/+bug/847813 )
i include my log

To post a comment you must log in.